package postgres

import (
	"context"

	"github.com/google/uuid"
)

// NewBudget creates a budget and adds it to the current user
func (s *Repository) NewBudget(context context.Context, name string, userID uuid.UUID) (*Budget, error) {
	budget, err := s.DB.CreateBudget(context, name)
	if err != nil {
		return nil, err
	}

	ub := LinkBudgetToUserParams{UserID: userID, BudgetID: budget.ID}
	_, err = s.DB.LinkBudgetToUser(context, ub)
	if err != nil {
		return nil, err
	}

	return &budget, nil
}
